var mediawrapVlcButtonParam = {
	'play':['32','_playpausbtn','play'],
	'playpaus':['32','_playpausbtn','play'],
	'pause':['32','_playpausbtn','pause'],
	'stop':['21','_stopbtn','stop'],
	'stopped':['21','_stopbtn','stop'],
	'mutetrue':['22','_mutebtn','mute'],
	'mutefalse':['22','_mutebtn','mute'],
	'fullscreen':['21','_fullscreenbtn','fullscreen']
}

var mediawrapVlcButtonPlaced = ['pause','stop','time','mutefalse','fullscreen'];
var mediawrapVlcBtnOnClick = [];
var mediawrapVlcPauseStatus = [];

function mediawrapSetVlcBtn(playerName, btnName) {
	var btn = document.getElementById(playerName + mediawrapVlcButtonParam[btnName][1]);
	btn.setAttribute("title", mediawrapVlcButtonParam[btnName][2]);
	btn.setAttribute("OnClick", mediawrapVlcBtnOnClick[playerName][btnName]);
	btn.setAttribute("status", btnName);
}

function mediawrapVlcCtrl(playerName, doSomething) {
	switch (doSomething) {
		case "play":
			if (!eval('document.'+playerName+'.isplaying()')) {
				eval('document.'+playerName+'.play()');
				mediawrapVlcPauseStatus[playerName] = false;
				mediawrapSetVlcBtn(playerName,"pause");
			}
			break;
		case "pause":
			if (eval('document.'+playerName+'.isplaying()')) {
				eval('document.'+playerName+'.pause()');
				mediawrapVlcPauseStatus[playerName] = true;
				mediawrapSetVlcBtn(playerName,"playpaus");
			}
			break;
		case "stop":
			if (eval('document.'+playerName+'.isplaying()') || mediawrapVlcPauseStatus[playerName]) {
				eval('document.'+playerName+'.stop()');
				mediawrapVlcPauseStatus[playerName] = false;
				mediawrapSetVlcBtn(playerName,"play");
				mediawrapSetVlcBtn(playerName,"stopped");
			}
			break;
		case "mutetrue":
			eval('document.'+playerName+'.mute()');
			mediawrapSetVlcBtn(playerName,"mutefalse");
			break;
		case "mutefalse":
			eval('document.'+playerName+'.mute()');
			mediawrapSetVlcBtn(playerName,"mutetrue");
			break;
	}
}

function mediawrapVlcStatus(playerName) {
		var time = document.getElementById(playerName+"_time");
		if( eval('document.'+playerName+'.isplaying()') ) {
			mediawrapSetVlcBtn(playerName,"pause");
			mediawrapSetVlcBtn(playerName,"stop");
			var got_time = eval('document.'+playerName+'.get_time()');
			var hours = Math.floor(got_time/ 3600);
			var minutes = Math.floor((got_time/60) % 60);
			var seconds = got_time % 60;
			if ( hours < 10 ) hours = "0" + hours;
			if ( minutes < 10 ) minutes = "0" + minutes;
			if ( seconds < 10 ) seconds = "0" + seconds;
			time.firstChild.nodeValue = hours+":"+minutes+":"+seconds;
		}
		else if (mediawrapVlcPauseStatus[playerName]) {
			mediawrapSetVlcBtn(playerName,"playpaus");
			mediawrapSetVlcBtn(playerName,"stop");
		}
		else {
			mediawrapSetVlcBtn(playerName,"play");
			mediawrapSetVlcBtn(playerName,"stopped");
			time.firstChild.nodeValue = "--:--:--";
		}
		setTimeout('mediawrapVlcStatus("'+playerName+'")', 1000 );
}

function insertVlcCtrlBtn(playerName) {
	var obj = eval('document.'+playerName);
	obj.parentNode.insertBefore(document.createElement("br"), obj.nextSibling);
	var width = obj.getAttribute("width");
	var div = document.createElement("div");
	div.setAttribute("class","mediawrapVlcCtrl");
	var tb = document.createElement("table");
	div.appendChild(tb);
	tb.setAttribute("width",width);
	tb.setAttribute("border","0");
	tb.setAttribute("cellspacing","0");
	tb.setAttribute("cellpadding","0");
	var tr = document.createElement("tr");
	tb.appendChild(tr);
	obj.parentNode.insertBefore(div, obj.nextSibling);
	for (var i=0;i<mediawrapVlcButtonPlaced.length;i++) {
		var btn = mediawrapVlcButtonPlaced[i];
		var td = document.createElement("td");
		td.setAttribute("valign","middle");
		if ("time"==mediawrapVlcButtonPlaced[i]) {
			td.setAttribute("align","center");
			td.innerHTML = '<font size=2><span id="'+playerName+'_time">--:--:--</span></font>';
		}
		else {
			td.setAttribute("width",mediawrapVlcButtonParam[btn][0]);
			td.setAttribute("id",playerName + mediawrapVlcButtonParam[btn][1]);
			td.setAttribute("title",mediawrapVlcButtonParam[btn][2]);
			td.setAttribute("OnClick",mediawrapVlcBtnOnClick[playerName][btn]);
			td.setAttribute("status",btn);
		}
		tr.appendChild(td);
	}
}
